import { GC, OnesTable } from '../../../../@ones-table/common';
export declare const SERIES_COLORS: string[][];
export declare function getChartColorsIndex(table: OnesTable, sheet: GC.Spread.Sheets.Worksheet, chartName: string): number;
export declare function getChartColors(table: OnesTable, sheet: GC.Spread.Sheets.Worksheet, chartName: string): string[];
export interface UpdateChartOptions {
    updateChart: boolean;
}
export declare function updateChartColors(table: OnesTable, sheet: GC.Spread.Sheets.Worksheet, chartName: string, colors: string[] | null, options: UpdateChartOptions): void;
